# Uses of Class
javax.swing.Box

Packages that use Box
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of Box in javax.swing

  Methods in javax.swing that return Box
  Modifier and Type
  Method
  Description
  `static Box`
  Box.`createHorizontalBox()`
  Creates a `Box` that displays its components from left to right.
  `static Box`
  Box.`createVerticalBox()`
  Creates a `Box` that displays its components from top to bottom.